Bug 301941 - Intelligent Menu in KDE and Gnome
Intelligent Menu in KDE and Gnome
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 20:32 EDT by Matthias R. Wiora
Modified: 2014-03-16 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 10:43:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias R. Wiora 2007-09-22 20:32:22 EDT
Description of problem:
A Program which is only written for Gnome or KDE is available in both menus.
It would be a nice additional, if the shortcuts would have an additional info 
for which of kde or gnome the functionality is provided.

If anyone want's to start an application under kde, which is written for gnome, 
he has the option to start it for example from the konsole.

greetz µatthew
Comment 1 Matěj Cepl 2007-09-24 08:07:49 EDT
Hi,

could you please elaborate a little bit on what exactly you have on your mind? I
think, the best would be to go step by step and describe a scenario where Linux
is behaving differently than what would you expect (with examples of specific
programs which are behave differently than what would expect). I have to admit
that I really don't understand what you meant (and yes English is my second
language as well, so I can fully understand that it is not easy to express
yourself in all situations).
Comment 2 Matthias R. Wiora 2007-09-26 03:47:25 EDT
nice =)
Okay. Let the show begin:

you have two versions of wireshark.
first: wireshark (especially for kde)
second: gnome-wireshark (especially for gnome)

The Shortcuts for the programs have an additional information for the kde-menu-
app to be segragated. For example: X-Gnome, X-KDE

Those Programs, which have none addinfo, won't be segragated.

pmb µatthew
Comment 3 Adam Jackson 2007-09-27 16:47:32 EDT
So, you want gnome applications to not show up in the menus in KDE?
Comment 4 Matthias R. Wiora 2007-09-27 16:57:22 EDT
right.
The Application is anyway startable from the konsole.
For novices in Linux the gnome and kde applications in one menu are 
complicating.
pmb µatthias
Comment 5 Bill Nottingham 2007-10-04 10:43:39 EDT
This isn't really a distribution-level thing, therefore, closing. Please open
bugs against the apps in question requesting use of the OnlyShowIn flag.

Be warned that there are others that suggest that OnlyShowIn be banned in most
cases.

Note You need to log in before you can comment on or make changes to this bug.